# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models
import image_cropping.fields


class Migration(migrations.Migration):

    dependencies = [
        ('showcase', '0005_auto_20160318_1513'),
    ]

    operations = [
        migrations.AddField(
            model_name='item',
            name='active_class',
            field=models.BooleanField(default=False, help_text='apply active class on item (only for thumb icon template)', verbose_name='Active class'),
        ),
        migrations.AddField(
            model_name='item',
            name=b'icon',
            field=image_cropping.fields.ImageRatioField(b'image', '100x100', hide_image_field=False, size_warning=True, allow_fullsize=False, free_crop=False, adapt_rotation=False, help_text='Use only with thumb icon template', verbose_name='icon'),
        ),
        migrations.AddField(
            model_name='item',
            name=b'large_image',
            field=image_cropping.fields.ImageRatioField(b'image', '800x400', hide_image_field=False, size_warning=True, allow_fullsize=False, free_crop=False, adapt_rotation=False, help_text=None, verbose_name='large image'),
        ),
        migrations.AddField(
            model_name='item',
            name='meta_description',
            field=models.TextField(max_length=255, verbose_name='description', blank=True),
        ),
        migrations.AddField(
            model_name='item',
            name='meta_keywords',
            field=models.CharField(max_length=255, verbose_name='keywords', blank=True),
        ),
        migrations.AddField(
            model_name='item',
            name='page_title',
            field=models.CharField(help_text='overwrite the title (html title tag)', max_length=255, verbose_name='title', blank=True),
        ),
        migrations.AddField(
            model_name='item',
            name='rollover_image',
            field=models.ImageField(help_text='rollover Image', upload_to=b'showcase/img/', null=True, verbose_name='rollover Image', blank=True),
        ),
        migrations.AddField(
            model_name='item',
            name=b'rollover_small_image',
            field=image_cropping.fields.ImageRatioField(b'rollover_image', '800x360', hide_image_field=False, size_warning=True, allow_fullsize=False, free_crop=False, adapt_rotation=False, help_text=None, verbose_name='rollover small image'),
        ),
        migrations.AlterField(
            model_name='itemsettings',
            name='template_name',
            field=models.CharField(default=b'cms_plugins/showcase_item_list.html', max_length=150, verbose_name='Template', choices=[(b'showcase/cms_plugins/showcase_item_list.html', 'Showcase item list'), (b'bootstrap3/showcase/cms_plugins/showcase_item_by_category_list.html', 'B3 - Showcase by category list'), (b'bootstrap3/showcase/cms_plugins/showcase_item_by_category_thumb_list.html', 'B3 - Showcase by category thumb list'), (b'bootstrap3/showcase/cms_plugins/showcase_list_with_date.html', 'B3 - Showcase list with date'), (b'bootstrap3/showcase/cms_plugins/showcase_item_by_category_thumb_flat_list.html', 'B3 - Showcase flat thumb list'), (b'bootstrap3/showcase/cms_plugins/showcase_thumb_icon.html', 'B3 - Showcase thumb icon'), (b'bootstrap3/showcase/cms_plugins/showcase_thumb_with_rollover.html', 'B3 - Showcase thumb with rollover')]),
        ),
    ]
