# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Category'
        db.create_table('showcase_category', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='showcase_category_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='showcase_category_last_modifier', null=True, to=orm['auth.User'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=200)),
            ('slug', self.gf('django.db.models.fields.SlugField')(unique=True, max_length=50)),
        ))
        db.send_create_signal('showcase', ['Category'])

        # Adding model 'ShowcaseFilterSettings'
        db.create_table('cmsplugin_showcasefiltersettings', (
            ('cmsplugin_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['cms.CMSPlugin'], unique=True, primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('item_plugin_setting', self.gf('django.db.models.fields.related.OneToOneField')(related_name='ordering_plugin_settings', unique=True, to=orm['showcase.ItemSettings'])),
            ('template_name', self.gf('django.db.models.fields.CharField')(default='bootstrap3/showcase/cms_plugins/showcase_filter.html', max_length=150)),
        ))
        db.send_create_signal('showcase', ['ShowcaseFilterSettings'])

        # Adding model 'ItemCategory'
        db.create_table('showcase_itemcategory', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='showcase_itemcategory_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='showcase_itemcategory_last_modifier', null=True, to=orm['auth.User'])),
            ('item_setting', self.gf('django.db.models.fields.related.ForeignKey')(related_name='categories', to=orm['showcase.ItemSettings'])),
            ('category', self.gf('django.db.models.fields.related.ForeignKey')(related_name='cmsplugin_categories', to=orm['showcase.Category'])),
        ))
        db.send_create_signal('showcase', ['ItemCategory'])

        # Adding field 'ItemSettings.name'
        db.add_column('cmsplugin_itemsettings', 'name',
                      self.gf('django.db.models.fields.CharField')(max_length=255, null=True, blank=True),
                      keep_default=False)

        # Adding M2M table for field categories on 'Item'
        m2m_table_name = db.shorten_name('showcase_item_categories')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('item', models.ForeignKey(orm['showcase.item'], null=False)),
            ('category', models.ForeignKey(orm['showcase.category'], null=False))
        ))
        db.create_unique(m2m_table_name, ['item_id', 'category_id'])


        # Changing field 'Item.status'
        db.alter_column('showcase_item', 'status', self.gf('django.db.models.fields.IntegerField')(null=True))

    def backwards(self, orm):
        # Deleting model 'Category'
        db.delete_table('showcase_category')

        # Deleting model 'ShowcaseFilterSettings'
        db.delete_table('cmsplugin_showcasefiltersettings')

        # Deleting model 'ItemCategory'
        db.delete_table('showcase_itemcategory')

        # Deleting field 'ItemSettings.name'
        db.delete_column('cmsplugin_itemsettings', 'name')

        # Removing M2M table for field categories on 'Item'
        db.delete_table(db.shorten_name('showcase_item_categories'))


        # Changing field 'Item.status'
        db.alter_column('showcase_item', 'status', self.gf('django.db.models.fields.IntegerField')(max_length=3, null=True))

    models = {
        'auth.group': {
            'Meta': {'object_name': 'Group'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        'auth.permission': {
            'Meta': {'ordering': "('content_type__app_label', 'content_type__model', 'codename')", 'unique_together': "(('content_type', 'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['contenttypes.ContentType']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '50'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Group']", 'symmetrical': 'False', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '50'})
        },
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        'showcase.category': {
            'Meta': {'ordering': "['ordering', 'title']", 'object_name': 'Category'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'showcase_category_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'showcase_category_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '50'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'showcase.item': {
            'Meta': {'ordering': "['title', '-publication_date']", 'object_name': 'Item'},
            'categories': ('django.db.models.fields.related.ManyToManyField', [], {'db_index': 'True', 'related_name': "'items'", 'symmetrical': 'False', 'to': "orm['showcase.Category']"}),
            'content': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'showcase_item_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image': ('django.db.models.fields.files.ImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'showcase_item_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'link': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'}),
            'link_type': ('django.db.models.fields.CharField', [], {'default': "'int'", 'max_length': '3'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'publication_date': ('django.db.models.fields.DateField', [], {'default': 'datetime.datetime(2015, 6, 25, 0, 0)'}),
            'show_image': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'show_link': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'max_length': '50'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'tale': ('django.db.models.fields.CharField', [], {'default': "'now'", 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '200'})
        },
        'showcase.itemcategory': {
            'Meta': {'ordering': "('item_setting', 'ordering')", 'object_name': 'ItemCategory'},
            'category': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'cmsplugin_categories'", 'to': "orm['showcase.Category']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'showcase_itemcategory_creator'", 'null': 'True', 'to': "orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'item_setting': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'categories'", 'to': "orm['showcase.ItemSettings']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'showcase_itemcategory_last_modifier'", 'null': 'True', 'to': "orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'})
        },
        'showcase.itemsettings': {
            'Meta': {'object_name': 'ItemSettings', 'db_table': "'cmsplugin_itemsettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'objects_per_page': ('django.db.models.fields.IntegerField', [], {'default': '100'}),
            'ordering': ('django.db.models.fields.CharField', [], {'default': "'ordering, title, publication_date'", 'max_length': '100'}),
            'slugs_excluded': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'slugs_included': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'tales_excluded': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'tales_included': ('django.db.models.fields.CharField', [], {'max_length': '150', 'blank': 'True'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'cms_plugins/showcase_item_list.html'", 'max_length': '150'})
        },
        'showcase.showcasefiltersettings': {
            'Meta': {'object_name': 'ShowcaseFilterSettings', 'db_table': "'cmsplugin_showcasefiltersettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'item_plugin_setting': ('django.db.models.fields.related.OneToOneField', [], {'related_name': "'ordering_plugin_settings'", 'unique': 'True', 'to': "orm['showcase.ItemSettings']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'template_name': ('django.db.models.fields.CharField', [], {'default': "'bootstrap3/showcase/cms_plugins/showcase_filter.html'", 'max_length': '150'})
        }
    }

    complete_apps = ['showcase']